REM   You   need to run this  script from an  administrative ADK command prompt.  Download the ADK from:
REM  https://developer.microsoft.com/en-us/windows/hardware/windows-assessment-deployment-kit
REM  We have  the best experience with ADKs matching the  WinPe version you want to modify. 
REM Install the ADK to its  default location  C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit.

REM  Environment variables you need to adjust 

REM  Path to the   temporary folder that contains the mounted  wim image.  The target  will be created by copype
set media=c:\temp\Media7

REM  Path to the iso file that   will be  create by oscdimg 
set isopath=c:\temp\winpeiso.iso 

REM Path to the Cab containing the fix.  
REM This file must be expanded  from the   hotfix package at:
REM  http://catalog.update.microsoft.com/v7/site/Search.aspx?q=KB4025632 

REM To expand the package open a CMD prompt and CD to where you saved the KB4025632 MSU file. 
REM Destination directory must already exist
REM expand -F:*.cab <msu-file-name> C:\TEMP


set cab=c:\temp\Windows10.0-KB4025632-x64.cab

REM  Environment  Varaiables needed  from the Adk.  Do not change

set oc=C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64
set oscdimg=C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Deployment Tools\amd64\Oscdimg


Copype amd64  %media%
Dism.exe /Mount-Wim /WimFile:%media%\media\sources\boot.wim /index:1 /MountDir:%media%\mount
dism.exe /image:%media%\mount /Add-Package /PackagePath:"%oc%\WinPE_OCs\WinPE-Dot3Svc.cab"
dism.exe /image:%media%\mount /Add-Package /PackagePath:"%oc%\WinPE_OCs\\en-us\WinPE-Dot3Svc_en-us.cab"
REM Where the latter two cabs come from the  windows ADK
dism.exe /image:%media%\mount /Add-Package /PackagePath:%cab%
dism.exe /Unmount-Wim /MountDir:%media%\mount /commit
oscdimg -n -b"%oscdimg%\etfsboot.com" %media%\media %isopath%
REM Boot to winpe now and 
REM test your authentication scenario!